Skip to main content
`Ctrl`+`K`

# TaoSetType

Sets the `TaoType` for the minimization solver.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetType(Tao tao, TaoType type)

Collective

## Input Parameters

- tao - the `Tao` solver context

- type - a known method

## Options Database Key

- -tao_type <type> - Sets the method; use -help for a list of available methods (for instance, “-tao_type lmvm” or “-tao_type tron”)

## See Also

TAO: Optimization Solvers, `Tao`, `TaoCreate()`, `TaoGetType()`, `TaoType`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

## Examples

src/tao/complementarity/tutorials/blackscholes.c
src/tao/bound/tutorials/jbearing2.c
src/tao/bound/tutorials/plate2.c
src/tao/bound/tutorials/plate2f.F90
src/tao/complementarity/tutorials/minsurf1.c
src/tao/constrained/tutorials/ex1.c
src/tao/constrained/tutorials/tomographyADMM.c
src/tao/leastsquares/tutorials/chwirut1f.F90
src/tao/constrained/tutorials/maros.c
src/tao/leastsquares/tutorials/chwirut1.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages